#
# spec file for package obs-service-node_modules
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           obs-service-node_modules
Version:        2.4.0
Release:        2.2
Summary:        OBS service to download node_modules specified in package-lock.json
License:        MIT
URL:            https://github.com/openSUSE/obs-service-node_modules
Requires:       python3-lxml
BuildArch:      noarch

%description

%prep
ln -s %_sourcedir/%name .
%setup -DTn %name
%autopatch

%build

%install
install -D -m 755 node_modules.py %{buildroot}%{_prefix}/lib/obs/service/node_modules
install -m 644 node_modules.service %{buildroot}%{_prefix}/lib/obs/service/node_modules.service

%files
%dir %{_prefix}/lib/obs
%dir %{_prefix}/lib/obs/service
%{_prefix}/lib/obs/service/node_modules
%{_prefix}/lib/obs/service/node_modules.service

%changelog
* Mon Jan 29 2024 adam.majer@suse.de
- Update to version 2.4.0:
  * Fix handling of direct git repos in v3
* Wed Jan 17 2024 Ilya Stolyarov <ila.embsys@gmail.com>
- Add debian part
* Tue Sep 19 2023 adam.majer@suse.de
- Update to version 2.3.0:
  * Add --ignore-scripts to command to generate package-lock.json
  * Pick the longest integrity value in package-lock.json
  * Support dependencies with multiple integrity values
* Tue Sep  5 2023 adam.majer@suse.de
- Update to version 2.2.0:
  * Remove obsolete filename heuristics
  * Refactor function name to better reflect functionality
  * Incorporate the entire path into filename
* Thu Aug  3 2023 adam.majer@suse.de
- Update to version 2.1.0:
  * Fix the recursive call to collect_v2_deps_recursive
* Wed May 31 2023 adam.majer@suse.de
- Update to version 2.0.0:
  * Fail when integrity field is missing in v3 lockfiles
  * Reproducible cpio generation
  * Add support for version 3 package-lock files
  * Update OBS service instructions to use manualrun
  * Add simple integration test for the node modules service
* Mon Nov  1 2021 marec@detebe.org
- Update to version 0+git20210830.1024c2a:
  * Add MIT License
  * Fix invalid variable fh
* Tue Jun 15 2021 adam.majer@suse.de
- Update to version 0+git20210615.e8b6273:
  * Warn about entities that have no integrity field
  * Add a path search for args.input
  * Update example on creating package-lock.json
* Thu Apr 29 2021 lnussel@suse.de
- Update to version 0+git20210420.291fbf4:
  * Add support for unresolved dependencies
  * Handle resolved github repositories
  * Add support for package-lock.jsons
* Tue Mar  9 2021 lnussel@suse.de
- Switch to manual service for Factory submission
- Package should be noarch
- Update to version 0+git20210223.d24a8cd:
  * Trailer needs to have no content
  * doc: include all sources in Source: in the example
  * doc: add reference to npm-localhost-proxy
  * Update README for usage with local-npm-registry
  * Fix xml syntax
  * remove leading package name prefix in the from:
  * Require lockfileVersion=2
  * Drop locations.loc
  * We need to get tarballs for bundled dependencies too
* Fri Jan 22 2021 Ludwig Nussel <lnussel@suse.de>
- update, run spec-cleaner
* Tue Nov  3 2020 Ludwig Nussel <lnussel@suse.de>
- switch to new source location
* Fri Oct  9 2020 Ludwig Nussel <lnussel@suse.de>
- initial package
